### Navigation

- index
- next |
- previous |
- Spyder 2.2 documentation »

# Command line options

Spyder’s command line options are the following: (type ‘python spyder.py –help’ to show the text below)

Options:

  `-h, --help` | show this help message and exit
  `-l, --light` | Light version (all add-ons are disabled)
  `--session=STARTUP_SESSION`
  | Startup session
  `--defaults` | Reset to configuration settings to defaults
  `--reset` | Remove all configuration files!
  `--optimize` | Optimize Spyder bytecode (this may require administrative privileges)
  `-w WORKING_DIRECTORY, --workdir=WORKING_DIRECTORY`
  | Default working directory
  `-d, --debug` | Debug mode (stds are not redirected)
  `--multithread` | Internal console is executed in another thread (separate from main application thread)
  `--profile` | Profile mode (internal test, not related with Python profiling)

### Navigation

- index
- next |
- previous |
- Spyder 2.2 documentation »